/***************************************************************************
                          kpregitem.h  -  description
                             -------------------
    begin                : Sun Aug 26 2001
    copyright            : (C) 2001-2003 by Huberto Gastal Mayer
    email                : beto@debian-rs.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPREGITEM_H
#define KPREGITEM_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <qpixmap.h>
#include <qstring.h>
#include <kstddirs.h>
#include <qdom.h>
#include <kpopupmenu.h>
#include <qlistbox.h>
#include "itemxmlfactory.h"

/**
  *@author Huberto Gastal Mayer
  */

//enum Type { blue_type, red_type, yellow_type };

class KpregItem {
public:
	KpregItem(QString _title, QString _content, QString _type=0, QListBox *_qlb=0, KPopupMenu *_subMenu=0, QPixmap *_blue_type=0, QPixmap *_yellow_type=0, QPixmap *_red_type=0);
	void atualizeViewItem();
	QString getTitle();
	QString getContent();
	QString getViewItem();
	Type getType();
	void setTitle (QString);
	void setContent (QString);
	void setType (Type);
	void setMenuId (int);
	QPixmap *getIcon();
	QDomDocumentFragment save (QDomDocument);

private:
	int menuId;
	QString title;
	QString content;
	Type type;
	QListBox *qlb;
	KPopupMenu *subMenu;
	QPixmap *blue_pm;
	QPixmap *red_pm;
	QPixmap *yellow_pm;
};

#endif

