/***************************************************************************
                          kpregsystray.h  -  description
                             -------------------
    begin                : Wed Aug 8 2001
    copyright          : (C) 2001-2003 by Huberto Gastal Mayer
    email                : beto@debian-rs.org

    Class based in "AdSysTray", of "kappdock"
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KPREGSYSTRAY_H
#define KPREGSYSTRAY_H

#include <qevent.h>
#include <qpainter.h>

#include <ksystemtray.h>
#include <kpopupmenu.h>
#include <kiconloader.h>
#include <qpixmap.h>
#include <qdom.h>
#include <kaction.h>
#include <kstddirs.h>
#include "kpregitem.h"

/**Classe para acionar o doc cone
  *@author Huberto Gastal Mayer
  */

class KpregSysTray : public KSystemTray  {
  Q_OBJECT
public:
    enum Pixmap { PmNormal, PmDarker };
	KpregSysTray(QPixmap , /*QPixmap *, */QWidget*, const char* name = 0);
	~KpregSysTray();

	void setPixmap( KpregSysTray::Pixmap );
	KPopupMenu* getPoupUpMenu ();

public slots:
	void setSubPoupUpMenu (KPopupMenu*);
	void minimizeRestore();

protected:
	 void mousePressEvent( QMouseEvent * );
	void paintEvent( QPaintEvent * );

private:
	QDomDocument *doc;
	Pixmap _pm;
//	QPixmap *_darkerPm;
	QPixmap *_normalPm;
	KPopupMenu *subMenu;
};

#endif
